// File: CopyHelper.h
// Author: Francesco Giacomini <Francesco.Giacomini@cnaf.infn.it>
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: CopyHelper.h,v 1.3 2002/12/18 12:17:33 giaco Exp $

#ifndef EDG_WORKLOAD_PLANNING_HELPER_COPYHELPER_H
#define EDG_WORKLOAD_PLANNING_HELPER_COPYHELPER_H

#ifndef EDG_WORKLOAD_PLANNING_HELPER_HELPERIMPL_H
#include "edg/workload/planning/helper/HelperImpl.h"
#endif

namespace edg {
namespace workload {
namespace planning {
namespace helper {

class CopyHelper: public HelperImpl
{
public:
  CopyHelper();
  ~CopyHelper();

  virtual helper_type type() const;
  virtual filename_type resolve(filename_type const& input_file) const;
  virtual classad::ClassAd* resolve(classad::ClassAd const* input_ad) const;
};

} // namespace helper
} // namespace planning
} // namespace workload
} // namespace edg

#endif // EDG_WORKLOAD_PLANNING_HELPER_COPYHELPER_H
